# DirectoryReport

interface DirectoryReport : ConfigurableReport

A directory based report to be created.

#### Inheritors

JUnitXmlReport

## Properties

NAMER
Link copied to clipboard
val NAMER: Namer<Report>

## Functions

configure
Link copied to clipboard
abstract fun configure(cl: Closure): T
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEntryPoint
Link copied to clipboard
@Internal
abstract fun getEntryPoint(): File
Returns the entry point of a directory based Report This can be the index.
getName
Link copied to clipboard
abstract fun getName(): String
getOutputLocation
Link copied to clipboard
@OutputDirectory
abstract fun getOutputLocation(): DirectoryProperty
getOutputType
Link copied to clipboard
abstract fun getOutputType(): Report.OutputType
Always returns DIRECTORY
getRequired
Link copied to clipboard
abstract fun getRequired(): Property<Boolean>